Bulk upload posts
curl --request POST \
--url https://api.kavenio.com/v1/posts/bulk-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"csv": "title,content,scheduledFor\nLaunch,Post body,2026-06-25T15:00:00.000Z",
"defaults": {
"profileId": "aaaaaaaaaaaaaaaa",
"timezone": "UTC"
}
}
'import requests
url = "https://api.kavenio.com/v1/posts/bulk-upload"
payload = {
"csv": "title,content,scheduledFor
Launch,Post body,2026-06-25T15:00:00.000Z",
"defaults": {
"profileId": "aaaaaaaaaaaaaaaa",
"timezone": "UTC"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
csv: 'title,content,scheduledFor\nLaunch,Post body,2026-06-25T15:00:00.000Z',
defaults: {profileId: 'aaaaaaaaaaaaaaaa', timezone: 'UTC'}
})
};
fetch('https://api.kavenio.com/v1/posts/bulk-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"summary": {
"totalRows": 4503599627370495,
"succeeded": 4503599627370495,
"failed": 4503599627370495,
"warningCount": 4503599627370495
},
"rows": [
{
"rowNumber": 123,
"warnings": [
{
"code": "<string>",
"message": "<string>",
"rowNumber": 123
}
],
"post": {
"id": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"tags": [
"<string>"
],
"hashtags": [
"<string>"
],
"mentions": [
"<string>"
],
"metadata": {},
"crosspostingEnabled": true,
"targets": [
{
"id": "<string>",
"postId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"customContent": "<string>",
"customMedia": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"scheduledFor": "2023-11-07T05:31:56Z",
"platformSpecificData": {
"replyToTweetId": "<string>",
"quoteTweetId": "<string>",
"mediaIds": [
"<string>"
],
"threadItems": [
{
"content": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
]
}
],
"poll": {
"options": [
"<string>"
],
"duration_minutes": 5042
},
"longVideo": true,
"paidPartnership": true,
"madeWithAi": true,
"firstComment": "<string>",
"sensitiveMedia": {
"adultContent": true,
"graphicViolence": true,
"other": true
}
},
"platformPostId": "<string>",
"nativeUrl": "<string>",
"error": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"profileId": "<string>",
"title": "<string>",
"content": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"queuedFromProfile": "<string>",
"queueId": "<string>",
"recycling": {
"enabled": true,
"every": 123,
"maxOccurrences": 123,
"endsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"preserveQueue": true,
"allowDuplicateForRecycling": true
}
},
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"rowNumber": 123
}
]
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Posts
Bulk upload posts
Creates posts from CSV content and returns per-row creation or validation results.
POST
/
v1
/
posts
/
bulk-upload
Bulk upload posts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I